<?xml version='1.0' encoding='utf-8'?>

<creole>
    <files>
        <file name='/etc/rsyslog.d/aggregation/squid.conf' source='rsyslog_aggregation_squid.conf' mkdir="True"/>
        <file name='/etc/rsyslog.d/aggregation/dansguardian.conf' source='rsyslog_aggregation_dansguardian.conf' mkdir="True"/>
        <file name='/etc/rsyslog.d/eole-traps/squid.conf' source='rsyslog_traps_squid.conf' mkdir="True"/>
        <file name='/etc/rsyslog.d/eole-traps/dansguardian.conf' source='rsyslog_traps_dansguardian.conf' mkdir="True"/>
    </files>
    <variables>
        <family name='logs'>
            <variable name='envoyer_logs_squid' type='oui/non' description="Activer le transfert des logs de Squid">
                <value>non</value>
            </variable>
            <variable name='activate_squid_realtime' type='oui/non' description="Activer le transfert des logs de Squid en temps réel" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='squid_heure_debut' type='string' description="Heure de début du transfert des logs" hidden='True'>
                <value></value>
            </variable>
            <variable name='squid_heure_fin' type='string' description="Heure de fin du transfert des logs" hidden='True'>
                <value></value>
            </variable>
            <variable name='envoyer_logs_dansguardian' type='oui/non' description="Activer le transfert des logs de e2guardian">
                <value>non</value>
            </variable>
            <variable name='activate_dansguardian_realtime' type='oui/non' description="Activer le transfert des logs de e2guardian en temps réel" hidden='True'>
                <value>non</value>
            </variable>
            <variable name='dansguardian_heure_debut' type='string' description="Heure de début du transfert des logs" hidden='True'>
                <value></value>
            </variable>
            <variable name='dansguardian_heure_fin' type='string' description="Heure de fin du transfert des logs" hidden='True'>
                <value></value>
            </variable>
        </family>
        <separators>
            <separator name='envoyer_logs_squid'>Squid</separator>
            <separator name='envoyer_logs_dansguardian'>e2guardian</separator>
        </separators>
    </variables>
    <constraints>
        <check name='valid_enum' target='squid_heure_debut'>
            <param>["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24"]</param>
        </check>
        <check name='valid_enum' target='squid_heure_fin'>
            <param>["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24"]</param>
        </check>
        <check name='valid_enum' target='dansguardian_heure_debut'>
            <param>["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24"]</param>
        </check>
        <check name='valid_enum' target='dansguardian_heure_fin'>
            <param>["1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24"]</param>
        </check>
        <!-- FIXME 2.4 #5440 -->
        <!--<condition name='disabled_if_in' source='envoyer_tous_logs'>
            <param>oui</param>
            <target type='variable'>envoyer_logs_squid</target>
        </condition>-->
        <condition name='disabled_if_in' source='envoyer_logs_squid'>
            <param>non</param>
            <target type='variable'>activate_squid_realtime</target>
        </condition>
        <condition name='disabled_if_in' source='activate_squid_realtime'>
            <param>oui</param>
            <target type='variable'>squid_heure_debut</target>
            <target type='variable'>squid_heure_fin</target>
        </condition>
        <!-- FIXME 2.4 #5440 -->
        <!--<condition name='disabled_if_in' source='envoyer_tous_logs'>
            <param>oui</param>
            <target type='variable'>envoyer_logs_dansguardian</target>
        </condition>-->
        <condition name='disabled_if_in' source='envoyer_logs_dansguardian'>
            <param>non</param>
            <target type='variable'>activate_dansguardian_realtime</target>
        </condition>
        <condition name='disabled_if_in' source='activate_dansguardian_realtime'>
            <param>oui</param>
            <target type='variable'>dansguardian_heure_debut</target>
            <target type='variable'>dansguardian_heure_fin</target>
        </condition>
    </constraints>
    <help/>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
